from base64 import b64decode
from os.path import normpath, exists, join, abspath
def bfs11310():
  bfs11305 = 'aGVsaXVtLXB5dGhvbi9zcmMvbWFpbi9weXRob24='.encode('ascii')
  bfs11306 = b64decode(bfs11305).decode('ascii')
  return (normpath(bfs11306) in normpath(abspath(__file__)))

class bfs11307(object):
  def __init__(self, *bfs11311):
    self.bfs11311 = bfs11311

  def bfs10507(self, *bfs11313):
    for bfs11312 in self.bfs11311:
      location = self.bfs11314(bfs11312, *bfs11313)
      if exists(location):
        return location


    return self.bfs11314(self.bfs11311[0], *bfs11313)

  def bfs11314(self, *bfs11316):
    return normpath(join(*bfs11316))


